/**
 * 
 */
package jp.mosp.payroll.common.part;

import jp.mosp.common.common.MospException;
import jp.mosp.common.part.PartInfo;
import jp.mosp.kintai.common.part.KintaiPartStore;

/**
 * @author koike
 *
 */
public class PayrollPartStore extends KintaiPartStore {
	
	/**
	 * コンストラクタ
	 */
	public PayrollPartStore() {
		super();
	}
	
	/**
	 * コンストラクタ
	 * @param partInfo Partを利用する際に必要な情報
	 */
	private PayrollPartStore(PartInfo partInfo) {
		this();
		setPartInfo(partInfo);
	}
	
	/**
	 * PayrollPartStoreインスタンス生成
	 * @param partInfo		Partを利用する際に必要な情報
	 * @return	PayrollPartStoreインスタンス
	 */
	public static PayrollPartStore getInstance(PartInfo partInfo) {
		return new PayrollPartStore(partInfo);
	}
	
	/**
	 * PayrollMosPMenuPartインスタンス取得
	 * @return	初期化済みPayrollMosPMenuPartインスタンス
	 * @throws MospException MosP例外処理が発生した場合
	 */
	public PayrollMosPMenuPart payrollMenu() throws MospException {
		return (PayrollMosPMenuPart)get(PayrollMosPMenuPart.class);
	}
}
